<?php

namespace Luticate\Auth\DataAccess\Models;

use Luticate\Auth\DBO\LuticateGroupsDbo;

class LuticateGroups extends LuticateGroupsModel
{
    public function users()
    {
        return $this->belongsToMany('Luticate\Auth\DataAccess\Models\LuticateUsers', "luticate_users_groups", "group_id", "user_id");
    }

    public function permissions()
    {
        return $this->belongsToMany('Luticate\Auth\DataAccess\Models\LuticatePermissions', "luticate_permissions_groups", "group_id", "name");
    }
}