--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

SET search_path = public, pg_catalog;

--
-- Data for Name: luticate_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_groups VALUES (0, 'Super Administrators');
INSERT INTO luticate_groups VALUES (1, 'Administrators');


--
-- Name: luticate_groups_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('luticate_groups_id_seq', 1, true);


--
-- Data for Name: luticate_permissions; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_permissions VALUES ('LU_USER_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_SET_PASSWORD', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_LOGIN', true);
INSERT INTO luticate_permissions VALUES ('LU_USER_EDIT_ME', true);
INSERT INTO luticate_permissions VALUES ('LU_USER_SET_PASSWORD_ME', true);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_USER_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_USER_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_EFFECTIVE_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_GROUP_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_GROUP_GET', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_EDIT', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_DEL', false);
INSERT INTO luticate_permissions VALUES ('LU_USER_ADD', false);
INSERT INTO luticate_permissions VALUES ('LU_PERM_USER_GET', false);


--
-- Data for Name: luticate_permissions_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EFFECTIVE_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT_ME', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_GET', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_LOGIN', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD_ME', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_GROUP_USER_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EFFECTIVE_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_GROUP_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_USER_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_ADD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_DEL', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_EDIT_ME', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_GET', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_LOGIN', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_USER_SET_PASSWORD_ME', true, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EDIT', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_DEL', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_ADD', true, 0);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_ADD', false, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_EDIT', false, 1);
INSERT INTO luticate_permissions_groups VALUES ('LU_PERM_DEL', false, 1);


--
-- Data for Name: luticate_users; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_users VALUES (0, 'anonymous', 'anonymous@example.com', '', '', NULL, 'anonymous', 'anonymous');
INSERT INTO luticate_users VALUES (1, 'root', 'root@example.com', '$2y$10$ec8HHsBm1hFoiCtyj51Gwuj42PZ2oUp5BOnYq5/oh.FNAHIkgSGYO', 'LNzBBugvD6', NULL, 'root', 'root');


--
-- Data for Name: luticate_permissions_users; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_USER_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_GROUP_USER_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_EFFECTIVE_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_GROUP_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_PERM_USER_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_ADD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_DEL', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_EDIT', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_EDIT_ME', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_GET', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_SET_PASSWORD', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_SET_PASSWORD_ME', false, 0);
INSERT INTO luticate_permissions_users VALUES ('LU_USER_LOGIN', true, 0);


--
-- Data for Name: luticate_users_groups; Type: TABLE DATA; Schema: public; Owner: dev
--

INSERT INTO luticate_users_groups VALUES (1, 0);


--
-- Name: luticate_users_id_seq; Type: SEQUENCE SET; Schema: public; Owner: dev
--

SELECT pg_catalog.setval('luticate_users_id_seq', 1, true);


--
-- PostgreSQL database dump complete
--
